Bug 212697

Summary: devel/valgrind: Please add syscalls 530 (posix_fallocate) and 531 (posix_fadvise)
Product: Ports & Packages Reporter: Yuri Victorovich <yuri>
Component: Individual Port(s)Assignee: Niclas Zeising <zeising>
Status: New ---    
Severity: Affects Only Me CC: benkasminbullock, paulf, w.schwarzenfeld
Priority: --- Flags: bugzilla: maintainer-feedback?
Version: Latest   
Hardware: Any   
OS: Any   

Description Yuri Victorovich freebsd_committer 2016-09-15 00:26:48 UTC
Adding them seems trivial because generic versions are supposed to work, but 'make makepatch' fails to recreate patches for this port, so I couldn't generate a patch in a usual way.
Comment 2 Ben Bullock 2017-02-24 09:49:45 UTC
I reported this at the valgrind site:

https://bugs.kde.org/show_bug.cgi?id=376869

I was told to report it here by them. Apparently this is a duplicate.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-16 10:59:33 UTC
ping!
Comment 4 Walter Schwarzenfeld freebsd_triage 2019-03-09 08:40:42 UTC
Maintainership dropped ports r495096.
Comment 5 Walter Schwarzenfeld freebsd_triage 2019-03-10 11:44:21 UTC
Assign to new maintainer.
Comment 6 Paul Floyd 2020-04-02 19:31:03 UTC
I've added these syscalls in my github repo

 https://github.com/paulfloyd/freebsd_valgrind.git
Comment 7 Paul Floyd 2020-07-30 11:41:14 UTC
This should now be fixed in devel/valgrind-devel and this item can be closed.